import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import oracle.bpel.services.workflow.IWorkflowConstants;
import oracle.bpel.services.workflow.WorkflowException;
import oracle.bpel.services.workflow.runtimeconfig.impl.RuntimeConfigUtil;
import oracle.bpel.services.workflow.runtimeconfig.model.ApprovalGroupMember;
import oracle.bpel.services.workflow.task.IDynamicApprovalGroup;
import oracle.bpel.services.workflow.task.model.Task;

public class TaskApprovalGroup implements IDynamicApprovalGroup {
    public TaskApprovalGroup() {
        super();
    }

    public List getMembers(Task task) throws WorkflowException {
        List assignees = new ArrayList();

        ApprovalGroupMember taskUserA = RuntimeConfigUtil.getFactory().createApprovalGroupMember();
        taskUserA.setMember("taskUser1");
        taskUserA.setType(IWorkflowConstants.IDENTITY_TYPE_USER);
        taskUserA.setSequence(1);
        
        assignees.add(taskUserA);
        
        ApprovalGroupMember taskUserB = RuntimeConfigUtil.getFactory().createApprovalGroupMember();
        taskUserB.setMember("taskuser5");
        taskUserB.setType(IWorkflowConstants.IDENTITY_TYPE_USER);
        taskUserB.setSequence(2);
        
        assignees.add(taskUserB);
        
        return assignees;
    }
}
